> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agents credentials



## OpenAPI

````yaml /openapi.json get /agents/{agentId}/credentials
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /agents/{agentId}/credentials:
    get:
      operationId: identity.listCredentials
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                pattern: ^[0-9a-z]+$
              - type: string
                pattern: ^[cC][^\s-]{8,}$
            description: Agent identifier
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    agentId:
                      type: string
                    orgId:
                      type: string
                    type:
                      type: string
                    jwtVc:
                      type: string
                    issuerDid:
                      type: string
                    subjectDid:
                      type: string
                    issuedAt:
                      type: string
                    expiresAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                    revoked:
                      type: boolean
                    revokedAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                    revocationIndex:
                      anyOf:
                        - type: number
                        - type: 'null'
                    metadata:
                      anyOf:
                        - type: object
                          additionalProperties: {}
                        - type: 'null'
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                    - agentId
                    - orgId
                    - type
                    - jwtVc
                    - issuerDid
                    - subjectDid
                    - issuedAt
                    - expiresAt
                    - revoked
                    - revokedAt
                    - revocationIndex
                    - metadata
                    - createdAt
                    - updatedAt
                  description: A Verifiable Credential record
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.